{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GES_CODE"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "RPCO_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "REC_ID"; }; 
            name = rpcoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RPCOTVA_DATE_SAISIE"; 
            externalType = DATE; 
            name = rpcotvaDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "RPCOTVA_ID"; 
            externalType = NUMBER; 
            name = rpcotvaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RPCOTVA_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = rpcotvaTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, gesCode, pcoNum, rpcoId, rpcotvaId); 
    className = "org.cocktail.kava.server.metier.EORecetteCtrlPlancoTva"; 
    classProperties = (exercice, gestion, planComptable, rpcoId, rpcotvaDateSaisie, rpcotvaTvaSaisie); 
    externalName = "jefy_recette.recette_ctrl_planco_tva"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (exercice, gestion, planComptable, rpcoId, rpcotvaDateSaisie, rpcotvaTvaSaisie); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EORecetteCtrlPlancoTva"; 
        "_nameInObjectStore" = "RECETTE_CTRL_PLANCO_TVA"; 
    }; 
    name = RecetteCtrlPlancoTva; 
    primaryKeyAttributes = (rpcotvaId); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Gestion; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = gestion; 
        }, 
        {
            destination = PlanComptable; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = planComptable; 
        }
    ); 
}
